package com.bonus.canteen.core.order.mq.po;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.order.android.dto.MacOrderImageSaveDTO;

import java.util.List;

public class OrderImagePO {
   private Long merchantId;
   private String traceId;
   public List<MacOrderImageSaveDTO> saveList = CollUtil.newArrayList(new MacOrderImageSaveDTO[0]);

   public Long getMerchantId() {
      return this.merchantId;
   }

   public String getTraceId() {
      return this.traceId;
   }

   public List<MacOrderImageSaveDTO> getSaveList() {
      return this.saveList;
   }

   public OrderImagePO setMerchantId(final Long merchantId) {
      this.merchantId = merchantId;
      return this;
   }

   public OrderImagePO setTraceId(final String traceId) {
      this.traceId = traceId;
      return this;
   }

   public OrderImagePO setSaveList(final List<MacOrderImageSaveDTO> saveList) {
      this.saveList = saveList;
      return this;
   }
}
